org.keycloak.admin.client.resource

## Interface IdentityProvidersResource

-     public interface IdentityProvidersResource

  Author:
    pedroigor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(IdentityProviderRepresentation identityProvider)`
    `List<IdentityProviderRepresentation>` | `findAll()`
    `IdentityProviderResource` | `get(String alias)`
    `javax.ws.rs.core.Response` | `getIdentityProviders(String providerId)`
    `Map<String,String>` | `importFrom(Map<String,Object> data)`
    `Map<String,String>` | `importFrom(org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataOutput data)`

- - ### Method Detail

    - #### get

          @Path(value="instances/{alias}")
          IdentityProviderResource get(@PathParam(value="alias")
                                                                        String alias)

    - #### findAll

          @GET
           @Path(value="instances")
           @Produces(value="application/json")
          List<IdentityProviderRepresentation> findAll()

    - #### create

          @POST
           @Path(value="instances")
           @Consumes(value="application/json")
          javax.ws.rs.core.Response create(IdentityProviderRepresentation identityProvider)

    - #### getIdentityProviders

          @GET
           @Path(value="/providers/{provider_id}")
           @Produces(value="application/json")
          javax.ws.rs.core.Response getIdentityProviders(@PathParam(value="provider_id")
                                                                                                                                            String providerId)

    - #### importFrom

          @POST
           @Path(value="import-config")
           @Consumes(value="multipart/form-data")
           @Produces(value="application/json")
          Map<String,String> importFrom(org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataOutput data)

    - #### importFrom

          @POST
           @Path(value="import-config")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          Map<String,String> importFrom(Map<String,Object> data)

Copyright © 2021 JBoss by Red Hat. All rights reserved.